# Contributing to Lomse

Thanks for taking the time to contribute!


## Do you have questions about the project?

Feel free to go to the lomse [issues page](https://github.com/lenmus/lomse/issues) and create a new issue.


## How can I contribute?

### Report bugs, propose new features or send feedback

If you encountered a bug, please tell about it. Go to the lomse [issues page](https://github.com/lenmus/lomse/issues) and create a new issue. Explain what you did and how you encountered it, and what happened afterwards. Most importantly, state how to go about and recreate the same error.

I would like very much to know how you feel about the software and hear your suggestions for improvements, new features, etc. Please, go to the lomse [issues page](https://github.com/lenmus/lomse/issues) and create a new issue. Explain your ideas, suggestions and requests.

Send your feedback to improve the library and fix the bugs you find. Thank you!



### Programming

Lomse is a free open source project and contributions are welcome. Get involved in making it better! Any code submission must be under the terms of the BSD 2-clause license. 

Unsure where to begin contributing to lomse? You can start by looking through these issues:

* [Beginner issues][beginner] - Issues labeled with `beginner` do not require deep knowledge of lomse internals so they are suitable for start contributing with code to this project.
* [Help wanted issues][help-wanted] - To do or complete issues labeled as `help-wanted` I need help (advice, explanations or code) because I do not have enough knowledge for doing the task. Perhaps you have the knowledge and can help me!

Here’s the suggested way for proposing a change to this project:

1. [Fork this project][fork] to your account.
2. [Create a branch][branch] for the change you intend to make.
3. Make your changes to your fork.
4. [Send a pull request][pr] from your fork’s branch to our `master` branch.


If you would like to join this project, you are welcome. I'm currently the only developer, so I would like to find a few committed developers to create a core team. If you are interested and would like to take this project as your own project, you are welcome. The project has no commercial aim. I do this in my free time, for learning and for creating useful free software for the community. 


### Contribution agreement

By contributing to the Lomse repository through pull-request, comment,
or otherwise, you accept to release your contribution to the
license and copyright terms as described in the [LICENSE][].
Each contributor holds copyright over their contributions to Lomse.


#### Thanks for contributing !!!!!!!


[beginner]:https://github.com/lenmus/lomse/labels/beginner
[help-wanted]:https://github.com/lenmus/lomse/labels/help%20wanted

[fork]: https://help.github.com/articles/fork-a-repo/
[branch]: https://help.github.com/articles/creating-and-deleting-branches-within-your-repository
[pr]: https://help.github.com/articles/using-pull-requests/


