//---------------------------------------------------------------------------------------
// Main page of Lomse API documentation
//---------------------------------------------------------------------------------------
/**

@mainpage Overview

@attention This documentation is accurate and updated but is not completed. This is a work in progress.

<p>&nbsp;</p>

Lomse is a free open source library for adding capabilities to any program for rendering, editing and playing back music scores. It is written in C++ and it is platform independent. Lomse stands for "LenMus Open Music Score Edition Library".

Please be aware that Lomse is a work in progress, not having yet reached version 1.0. This means that the library is operative but with limitations. In particular, support for music scores is currently limited. You are welcome to join this non-commercial project and collaborate in its development.

## License

Lomse is distributed under the BSD 2-clause license, a permissive open source license to allow Lomse to be used in any projects, whether open source or proprietary. This license is a GPL compatible license, so you can use Lomse in GPL licensed projects (see @ref page-library-license).

The code samples and code examples included in this API documentation are intended to show how the Lomse library can be used and so, intended to be copied. Therefore, they are released into the public domain (see @ref page-code-license).


## Lomse usage

If you are new to Lomse, @b please read the @subpage page-introduction and then read the topic or topics you are interested in:

- @subpage page-render-overview
- @subpage page-printing
- @subpage page-edit-overview
- @subpage page-sound-generation
- @subpage page-tasks
- @subpage page-internal-model
- @subpage page-im-modification

## Other topics

- @subpage page-file-formats
- @subpage page-coordinates-viewport
- @subpage page-callbacks
- @subpage page-events


*/
